Subject: RE: [Mipshop] new charter

From: [email-masked]
Date: Mon, 10 Oct 2005 15:17:08 -0500

Alex,
logically 802.21 is indeed "below" IP. However, for certain scenarios IEEE 802.21 has identified the need to transport 802.21 specific information "above" IP (e.g. for deployment where the L2 technology is not enhanced to support 802.21 either because the standard is not ready or because the operator has decided to adopt 802.21 "above" L3), and from that the work in MIPSHOP.
Stefano

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]]On
> Behalf Of ext Alexandru Petrescu
> Sent: Monday, October 10, 2005 14:03
> To: Rajeev Koodli
> Cc: [email-masked]; James Kempf; [email-masked];
> Alexandru Petrescu
> Subject: Re: [Mipshop] new charter
> 
> 
> Rajeev Koodli wrote:
> 
> > 
> > 
> > 
> > Alexandru Petrescu wrote:
> > 
> >> 
> >> But I am afraid that the space of possible interactions between 
> >> FMIP and 802.21 protocol has not been mentioned in any detail, at 
> >> least not here.
> > 
> > 
> > Yes. However, if you look back on the ML discussion prior to Paris 
> > meeting, we seem to have converged to having a protocol that defines
> >  the handover information Request - Reply semantics.
> 
> Thanks for pointing to that.  I've read the thread titled "Interest in
> ..." around July 15.  Chairs decide what's convergence.  I personally
> agree with the mail that says that generally 802. stuff is below IP.
> 
> > FMIP would use the message structure and option format in its PrRt* 
> > messages. I guess the IS in 802.21 is also interested in 
> the handover
> >  information Request - Reply. So, perhaps it makes sense to 
> define a 
> > single protocol (for handover information exchange).
> 
> Is there an FMIP message equivalent to the 802.21 MIH 
> Information Request?
> 
> >> 802.21 looks at inter-system handovers, while FMIP does 
> >> intra-system but fast.
> > 
> > 
> > More accurate to say that 802.21 is interested in 
> specifying handover
> >  information exchange (the IS part).
> 
> Yes, other messages mention that the IS part should be encoded
> meaningfully for 802.21 and FMIP.  Would it make sense to encode that
> with XML?  That would dispose the issue to yet another SDO.
> 
> > Perhaps the other part (ES/CS) could also help but I doubt if their
> > intent is to provide a L3 handover protocol. I hope not!
> > 
> > Note that FMIP is not limited to intra-system handovers alone.
> 
> Rajeev, it is ok to mention on electronic text that a certain protocol
> is intended to do something.  And at the same time I think that all
> reported experimentation with FMIP has always been intra-system, more
> specifically 802.11b (a and g in some cases).  That's what I meant by
> intra-system, same MAC layer.
> 
> While I agree that FMIP is not conceptually limited to intra-system
> handovers I can also speculate that the FMIP protocol can bring little
> or no advantage at all when used heterogeneously between for example
> 802.11b and GPRS.
> 
> > certainly we need more experimental data for inter-system handovers,
> 
> YEs, that is needed.  Until it shows up that's all it can be said: we
> need it.
> 
> > but our own experience suggests that inter-system "IP soft 
> handovers"
> > 
> > 
> > 
> > 
> What's "IP soft handovers"?
> 
> > could use a more robust forwarding mechanism (i.e., predictively 
> > setting up a tunnel from PAR to NAR greatly improves handover 
> > success). This is another topic!
> 
> I agree.
> 
> Alex
> 
> 
> _______________________________________________
> Mipshop mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/mipshop
> 

_______________________________________________
Mipshop mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/mipshop

---

From: Alexandru Petrescu <[email-masked]>
Date: Mon, 10 Oct 2005 22:40:02 +0200

[email-masked] wrote:

> Alex, logically 802.21 is indeed "below" IP. However, for certain 
> scenarios IEEE 802.21 has identified the need to transport 802.21 
> specific information "above" IP (e.g. for deployment where the L2 
> technology is not enhanced to support 802.21 either because the 
> standard is not ready or because the operator has decided to adopt 
> 802.21 "above" L3), and from that the work in MIPSHOP.

Stefano, thank you for the explanation.

The other example where link-layer data is present in IP messages is
probably IPv6 RA/NAs containing 48bit MAC addresses.  I wonder whether
there's any other example of including l2 information in IP messages,
more than just l2 addresses.  I don't think there's any.

It may also be possible that IPv6 RS/RA could probably solve many issues
that are considered as problems by 802.21.

For example the operator load balancing aspects mentioned in the other
mail, where an operator tries to hand over a terminal from a network to
another.  That's a meaningful use case.  Maybe it's sufficient for that
operator to dynamically modify preferences in the RAs beaconed by the
AP/ARs so that the terminal automatically switches from one to another.

This would need a protocol between the Access Routers or the Access
Points to synchronously trigger this change.  The protocol to do that
could be SNMP.  The logic to decide when a network is too loaded and the
other too less loaded could be some new software that does not need
standardization, nor message exchange, centralized, and whose complexity
is too high anyways.

Just some thoughts.

Alex